## NGC3599

The data for this source is split into two parts, a red part and a blue part. To make the final BPT-diagram, the data from both files needs to be combined.

Contents of this directory:

``red``: directory containing the data and scripts for the red part of the spectrum

``blue``: directory containing the data and scripts for the blue part of the spectrum

``BPT_diagram.py``: creates BPT-diagrams

``NGC3599_lines.txt``: example of collected output of the collected outputs of the line fitting scripts from both parts of the spectrum in the correct format to use with ``BPT_diagram.py``

``figure 5``: directory with the script for making L/LEdd comparison between sources

## Notes on usage

Run the scripts in the ``red`` and ``blue`` directories before returning to this folder.

1. From the ``.txt`` files created in the last step in the ``red`` and ``blue`` directories, create a file called ``NGC3599_lines.txt`` that contains the output of the fitting procedures with line names (``Halpha_broad/narrow``, ``NII_6548/84``, ``OII_5007/4959``, ``SII_6717/31``) in stead of ``line1, line2``. The information needed is underneath the output line containing ``#line	 	WV 	 	 dWV 	 FWHM(km/s) 	 dFWHM(km/s) 	 EW 	 	dEW 	 	flux 	 	 dflux``. Copy all columns into the new file. 
Our version of this file is present in the directory as ``NGC3599_lines.txt`` which should be the exact same, but it is good to check. The results of the fitting procedure are the results in _Table A1_.

2. To create the BPT diagram run:
	``python BPT_diagram.py``, this will create ``NGC3599_BPT.pdf`` which is _Figure 2_.
