## NGC3599 blue

Contents of this directory:

``N3599.tot.fits``: original data for the 3500AA-5500AA part of the spectrum

``ppxf_n3599blue.py``: uses pPXF to find the best fitting stellar population to the galaxy

``multi_gauss_lmfit_Hbeta_OIII.py``: fits Gaussian curves to emission lines

``rel_error.py``: creates the relative error on the flux of the original data to use in the ``multi_gauss_lmfit`` scripts 

## Notes on usage

1. To find the best fitting stellar population using pPXF run:
	``python ppxf_n3599blue.py``, this will create three ``.dat`` files ``host_bestfit_n3599blue``, ``n3599blue_sub`` and ``n3599blue_sub_norm`` as well as the left panel of _Figure 1_ in the paper ``host_bestfit_NGC3599blue.pdf``

2. To create the file with relative errors run:
	``python rel_error.py N3599.tot.fits``, this will create the file ``rel_error_NGC3599_blue.dat`` 

3. To find the flux in the emission lines run:
	``python multi_gauss_lmfit_Hbeta_OIII.py n3599blue_sub.dat rel_error_NGC3599_blue.dat > HbetaOIII_lines.txt``, this will create a ``.txt`` file containing the fitting output as well as _Figure A1 (a)_ ``fit_n3599blue_sub.dat_Hbeta.pdf``
