import numpy as np
import matplotlib.pyplot as plt

#create arrays etc with datapoints (see paper (specifically Table 1) for values and calculations)
Ledd = np.array([-4.11,-3.19,-4.11,-3.40,-2.5])
Ledd_error_up = [2.15,.92,0.65,0.9,1.5]
Ledd_error_low = [0.99,0.9,0.35,1.0,1.5]
Ledd_error_1 = [[Ledd_error_low[0]], [Ledd_error_up[0]]]
Ledd_error_2 = [[Ledd_error_low[4]], [Ledd_error_up[4]]]
Ledd_error_3 = [Ledd_error_low[1:4], Ledd_error_up[1:4]]
x = np.array([1,2,3,4,5])
my_xticks = ['NGC3599','PCG 043234','IC3599','2MASX\nJ04463790\n−1013349','range from\n Seyfert 1 + 2\n galaxies']

#plot everything
plt.xticks(x, my_xticks, fontsize='large')
plt.ylabel(r'log (L/L$_\mathrm{Edd}$)', fontsize='x-large')
plt.errorbar(x[0], Ledd[0], yerr=Ledd_error_1, fmt='rs', capsize=3)
plt.errorbar(x[4], Ledd[4], yerr=Ledd_error_2, fmt='b', capsize=3)
plt.errorbar(x[1:4], Ledd[1:4], yerr=Ledd_error_3, fmt='gs', capsize=3, linestyle='')
plt.xlim(0.5, 5.5)
plt.tight_layout()
plt.savefig("Ledd_comp.pdf", dpi=400)
plt.show()
