## NGC3599 red

Contents of this directory:

``data.zip`` contains the files:
 - ``N3599.fluxed``: original, fluxed, data for the 5500AA-7500AA part of the spectrum
 - ``N3599.fits``: original unfluxed data needed to calculate the relative error on the flux

``ppxf_n3599red.py``: uses pPXF to find the best fitting stellar population to the galaxy

``multi_gauss_lmfit_{..}.py``: fits Gaussian curves to emission lines

``rel_error.py``: creates the relative error on the flux of the original data to use in the ``multi_gauss_lmfit`` scripts 

## Notes on usage

1. To find the best fitting stellar population using pPXF run:
	``python ppxf_n3599red.py``, this will create three ``.dat`` files ``host_bestfit_n3599red``, ``n3599red_sub`` and ``n3599red_sub_norm`` as well as the right panel of _Figure 1_ in the paper ``host_bestfit_NGC3599red.pdf`` (the residuals in blue and green at the bottom of the plot is at 0 instead 0f 0.3 because this needs to be changed in the original ``ppxf.py`` file where you have pPXF installed).

2. To create the file with relative errors run:
	``python rel_error.py N3599.fits``, this will create the file ``rel_error_NGC3599_red.dat`` 

3. To find the flux in the emission lines run:
	``python multi_gauss_lmfit_Halpha_NII.py n3599red_sub.dat rel_error_NGC3599_red.dat > HalphaNII_lines.txt``, this will create a ``.txt`` file containing the fitting output as well as _Figure A1 (b)_ ``fit_n3599red_sub.dat_Halpha_NII.pdf``
	``python multi_gauss_lmfit_SII.py n3599red_sub.dat rel_error_NGC3599_red.dat > SII_lines.txt``, this will create a ``.txt`` file containing the fitting output as well as _Figure A1 (c)_ ``fit_n3599red_sub.dat_SII.pdf``
