#script to calculate relative error for the flux of a spectrum to use in the multi_gauss_lmfit scripts

import numpy as np
import sys
from astropy.io import fits
from astropy.io import ascii
import ppxf.ppxf_util as util

file = sys.argv[1]
hdu = fits.open(file)
gal_flux = hdu[0].data[0][0]
gal_error = hdu[0].data[3][0]
h1 = hdu[0].header

#print(gal_flux)
#print(gal_error)

lamRange1 = h1['CRVAL1'] + np.array([0., h1['CD1_1']*(h1['NAXIS1'] - 1)])
lamRange1 = lamRange1/(1+0.0028)
error, logLam1, velscale = util.log_rebin(lamRange1, gal_error)
flux, logLam1, velscale = util.log_rebin(lamRange1, gal_flux)

mask = ((error>0)&(flux>0))

rel_error = error[mask]/flux[mask]
lam1 = np.exp(logLam1[mask])

#print(lam1)

#print(len(lam1))

ascii.write([lam1, rel_error], 'rel_error_NGC3599_red.dat', names=['#lam1', '#rel_error'], overwrite=True)
